Index: tmp/org.txm.partition.core/src/org/txm/partition/core/messages/PartitionCoreMessages.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/messages/PartitionCoreMessages.java	(revision 2701)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/messages/PartitionCoreMessages.java	(revision 2702)
@@ -21,7 +21,7 @@
 	
 	public static String sortedBySize;
 	
-	public static String info_dimensionsOfTheP0PartitionInTheP1Corpus;
+	public static String info_dimensionsOfTheP0Partition;
 	
 	public static String chart_title_dimensionsOfTheP0PartitionInTheP1Corpus;
 	
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java	(revision 2701)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java	(revision 2702)
@@ -89,20 +89,20 @@
 	
 	@Override
 	public String getComputingStartMessage() {
-		return TXMCoreMessages.bind(PartitionCoreMessages.info_dimensionsOfTheP0PartitionInTheP1Corpus, this.getParent().getSimpleName(), this.getCorpus());
+		return TXMCoreMessages.bind(PartitionCoreMessages.info_dimensionsOfTheP0Partition, this.getParent().getName());
 	}
 	
 	
 	
 	@Override
 	public boolean loadParameters() {
-		// nothing to do
+		// nothing to do, all parameters are auto-loaded
 		return true;
 	}
 	
 	@Override
 	public boolean saveParameters() {
-		// nothing to do
+		// nothing to do, all parameters are auto-saved
 		return true;
 	}
 	
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java	(revision 2701)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java	(revision 2702)
@@ -414,7 +414,7 @@
 			file.createNewFile();
 			
 			if (!file.canWrite()) {
-				System.out.println(NLS.bind("{0} cannot be written.", file)); //$NON-NLS-1$
+				Log.severe(NLS.bind("{0} can not be written.", file)); //$NON-NLS-1$
 				return null;
 			}
 			
Index: tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java
===================================================================
--- tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java	(revision 2701)
+++ tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java	(revision 2702)
@@ -242,22 +242,24 @@
 	
 	@Override
 	public String getDetails() {
-		return getCorpus().getName() + " " + pStructuralUnit.getName() + " " + (pCurrentPage + 1); //$NON-NLS-1$ //$NON-NLS-2$
+		return getCorpus().getName() + " " + this.pStructuralUnit.getName() + " " + (this.pCurrentPage + 1); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 	
 	
 	@Override
 	public String getSimpleName() {
-		return getName();
+		try {
+			return this.pStructuralUnit.getName() + " (" + (this.pCurrentPage + 1) + " / " + this.nmatches + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		}
+		catch (Exception e) {
+			return this.getEmptyName();
+		}
 	}
 	
 	
 	@Override
 	public String getName() {
-		if (pStructuralUnit != null) {
-			return pStructuralUnit.getName() + " (" + (this.pCurrentPage + 1) + " / " + this.nmatches + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-		}
-		return getCorpus().getName();
+		return this.getCorpus().getName() + TXMPreferences.PARENT_NAME_SEPARATOR + this.getSimpleName();
 	}
 	
 	
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 2701)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 2702)
@@ -170,7 +170,14 @@
 	 */
 	public static final String LIST_SEPARATOR = "\t"; //$NON-NLS-1$
 	
+	
 	/**
+	 * Separator used when building some name based on a parent name and the result name (e.g. VOEUX/text@loc).
+	 */
+	public static final String PARENT_NAME_SEPARATOR = "/"; //$NON-NLS-1$
+	
+	
+	/**
 	 * Number of lines to display per page.
 	 */
 	public static final String N_LINES_PER_PAGE = "n_lines_per_page"; //$NON-NLS-1$
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 2701)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 2702)
@@ -2412,14 +2412,24 @@
 					return false;
 				}
 				
-				// console log, only for visible result or if the log level is superior to info level
-				if (!this.getComputingStartMessage().isEmpty() && (this.isVisible() || Log.isLoggingFineLevel())) {
-					Log.info(this.getComputingStartMessage());
+				
+				try {
+					// console log, only for visible result or if the log level is superior to info level
+					if (!this.getComputingStartMessage().isEmpty() && (this.isVisible() || Log.isLoggingFineLevel())) {
+						Log.info(this.getComputingStartMessage());
+					}
+					
+					
+					// monitor log
+					// this.setTaskName(this.getComputingStartMessage());
+					mainSubMonitor.subTask(this.getComputingStartMessage());
+					
 				}
+				catch (Exception e) {
+					e.printStackTrace();
+					Log.severe("Error while retrieving the result computing start message."); //$NON-NLS-1$
+				}
 				
-				// monitor log
-				// this.setTaskName(this.getComputingStartMessage());
-				mainSubMonitor.subTask(this.getComputingStartMessage());
 				// FIXME: SJ: debug tests
 				if (debugSlowingProcess) {
 					Thread.sleep(sleepDuration);
@@ -2549,15 +2559,23 @@
 		}
 		
 		
-		// console log, only for visible result or if the log level is superior to info level
-		if (!skipComputing && !this.getComputingDoneMessage().isEmpty() && (this.isVisible() || Log.isLoggingFineLevel())) {
-			Log.info(this.getComputingDoneMessage());
+		try {
+			// console log, only for visible result or if the log level is superior to info level
+			if (!skipComputing && !this.getComputingDoneMessage().isEmpty() && (this.isVisible() || Log.isLoggingFineLevel())) {
+				Log.info(this.getComputingDoneMessage());
+			}
+			
+			// monitor log
+			mainSubMonitor.subTask(this.getComputingDoneMessage());
 		}
+		catch (Exception e) {
+			// TODO Auto-generated catch block
+			e.printStackTrace();
+			Log.severe("Error while retrieving the result computing done message."); //$NON-NLS-1$
+		}
 		
 		this.computing = false;
 		
-		// monitor log
-		mainSubMonitor.subTask(this.getComputingDoneMessage());
 		mainSubMonitor.done();
 		
 		return true;
Index: tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 2701)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 2702)
@@ -1,7 +1,9 @@
 package org.txm.core.messages;
 
+import java.text.NumberFormat;
+import java.util.Locale;
+
 import org.eclipse.osgi.util.NLS;
-import org.txm.core.messages.TXMCoreMessages;
 import org.txm.utils.messages.Utf8NLS;
 
 /**
@@ -328,6 +330,113 @@
 		return NLS.bind(message, bindings);
 	}
 	
+	
+	/**
+	 * Returns a string dedicated to display a Min filter string.
+	 * 
+	 * @param value
+	 * @return
+	 */
+	// FIXME: SJ: this method may be moved to another class
+	public static String formatMinFilter(int value, int minimumValue) {
+		if (value >= minimumValue) {
+			return " ≥" + TXMCoreMessages.formatNumber(value); //$NON-NLS-1$
+		}
+		else return "";
+	}
+	
+	/**
+	 * Returns a string dedicated to display a Min filter string.
+	 * 
+	 * @param value
+	 * @return
+	 */
+	// FIXME: SJ: this method may be moved to another class
+	public static String formatMinFilter(int value) {
+		return formatMinFilter(value, 2);
+	}
+	
+	
+	
+	/**
+	 * Returns a string dedicated to display a Min filter string.
+	 * 
+	 * @param value
+	 * @return
+	 */
+	// FIXME: SJ: this method may be moved to another class
+	public static String formatMinFilter(double value, double minimumValue) {
+		if (value >= minimumValue) {
+			return " ≥" + TXMCoreMessages.formatNumber(value); //$NON-NLS-1$
+		}
+		else return "";
+	}
+	
+	/**
+	 * Returns a string dedicated to display a Min filter string.
+	 * 
+	 * @param value
+	 * @return
+	 */
+	// FIXME: SJ: this method may be moved to another class
+	public static String formatMinFilter(double value) {
+		return formatMinFilter(value, 2);
+	}
+	
+	
+	/**
+	 * Returns a string dedicated to display a Max filter string.
+	 * 
+	 * @param value
+	 * @return
+	 */
+	// FIXME: SJ: this method may be moved to another class
+	public static String formatMaxFilter(int value) {
+		if (value != Integer.MAX_VALUE) {
+			return " ≤" + TXMCoreMessages.formatNumber(value); //$NON-NLS-1$
+		}
+		else return "";
+	}
+	
+	
+	/**
+	 * Returns a string dedicated to display a VMax filter string.
+	 * 
+	 * @param value
+	 * @return
+	 */
+	// FIXME: SJ: this method may be moved to another class
+	public static String formatVMaxFilter(int value) {
+		if (value != Integer.MAX_VALUE) {
+			return " /" + TXMCoreMessages.formatNumber(value); //$NON-NLS-1$
+		}
+		else return "";
+	}
+	
+	/**
+	 * Formats the specified number using default locale syntax (e.g. 2 150 or 2,150 ).
+	 * 
+	 * @param value
+	 * @return
+	 */
+	// FIXME: SJ: this method may be moved to another class
+	public static String formatNumber(int value) {
+		return NumberFormat.getInstance(Locale.getDefault()).format(value);
+	}
+	
+	
+	/**
+	 * Formats the specified number using default locale syntax (e.g. 2 150,35 or 2,150.35 ).
+	 * 
+	 * @param value
+	 * @return
+	 */
+	// FIXME: SJ: this method may be moved to another class
+	public static String formatNumber(double value) {
+		return NumberFormat.getInstance(Locale.getDefault()).format(value);
+	}
+	
+	
 	static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, TXMCoreMessages.class);
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 2701)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 2702)
@@ -47,6 +47,7 @@
 import org.txm.concordance.core.messages.ConcordanceCoreMessages;
 import org.txm.concordance.core.preferences.ConcordancePreferences;
 import org.txm.core.messages.TXMCoreMessages;
+import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMParameters;
 import org.txm.core.results.TXMResult;
@@ -924,7 +925,7 @@
 	@Override
 	public String getSimpleName() {
 		if (this.pQuery != null && !this.pQuery.isEmpty()) {
-			return this.pQuery.toString().replace("\n", " ");
+			return this.pQuery.asString();
 		}
 		else {
 			return this.getEmptyName();
@@ -933,34 +934,12 @@
 	
 	@Override
 	public String getName() {
-		try {
-			
-			String name = this.getCorpus().getName();
-			
-			if (this.pQuery != null && !this.pQuery.isEmpty()) {
-				name += " " + this.pQuery.toString().replace("\n", " "); //$NON-NLS-1$
-			}
-			//
-			// if (this.queryResult != null) {
-			// return this.getCorpus().getName()
-			// + " " //$NON-NLS-1$
-			// + this.queryResult.getQuery().getQueryString();
-			// }
-			// else {
-			// return this.getCorpus().getName();
-			// }
-			//
-			return name;
-		}
-		catch (Exception e) {
-			return this.getEmptyName();
-		}
+		return this.getCorpus().getName() + TXMPreferences.PARENT_NAME_SEPARATOR + this.getSimpleName();
 	}
 	
-	
 	@Override
 	public String getComputingStartMessage() {
-		return TXMCoreMessages.bind(ConcordanceCoreMessages.concordanceOfP0InTheP1Corpus, this.pQuery, this.getCorpus().getName());
+		return TXMCoreMessages.bind(ConcordanceCoreMessages.concordanceOfP0InTheP1Corpus, this.pQuery.asString(), this.getCorpus().getName());
 	}
 	
 	@Override
@@ -969,7 +948,7 @@
 			return TXMCoreMessages.common_noResults;
 		}
 		else {
-			return TXMCoreMessages.bind(TXMCoreMessages.common_P0Occurrences, this.getNLines());
+			return TXMCoreMessages.bind(TXMCoreMessages.common_P0Occurrences, TXMCoreMessages.formatNumber(this.getNLines()));
 		}
 	}
 	
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java	(revision 2701)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java	(revision 2702)
@@ -637,18 +637,16 @@
 		
 		String name = nameText.getText();
 		
-		
 		// Simple mode
 		if (isSimpleSelected) {
 			
-			
 			StructuralUnit structuralUnit = this.structuralUnitsFinal.get(this.structuralUnitsCombo.getSelectionIndex());
 			StructuralUnitProperty property = structuralUnit.getProperty(this.propertyCombo.getText());
 			try {
 				
 				// auto-naming if needed
 				if (name.isEmpty()) {
-					name = corpus.getName() + "_" + property.getFullName(); //$NON-NLS-1$
+					name = property.asFullNameString();
 				}
 				
 				partition = new Partition(corpus);
@@ -664,11 +662,10 @@
 			
 			// auto-naming if needed
 			if (name.isEmpty()) {
-				name = this.corpus.getName() + "_" + compositeForAssisted.getProperty().getFullName(); //$NON-NLS-1$
+				name = compositeForAssisted.getProperty().asFullNameString();
 				Log.info(TXMCoreMessages.bind(TXMUIMessages.noPartitionNameWasSpecifiedTheNameIsP0, name));
 			}
 			
-			// FIXME: SJ: getPartition() calls a compute() so the compute is done 2 times when using Assisted Mode? need to check
 			partition = this.compositeForAssisted.createPartition(name);
 		}
 		// Advanced mode
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreateSubcorpusDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreateSubcorpusDialog.java	(revision 2701)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreateSubcorpusDialog.java	(revision 2702)
@@ -32,6 +32,7 @@
 import org.eclipse.jface.dialogs.Dialog;
 import org.eclipse.jface.dialogs.IDialogConstants;
 import org.eclipse.jface.dialogs.MessageDialog;
+import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.events.SelectionEvent;
 import org.eclipse.swt.events.SelectionListener;
@@ -50,6 +51,7 @@
 import org.txm.rcp.swt.widget.ComplexSubcorpusPanel;
 import org.txm.rcp.swt.widget.QueryWidget;
 import org.txm.rcp.swt.widget.structures.SimpleSubcorpusPanel;
+import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
@@ -239,22 +241,29 @@
 	 */
 	@Override
 	protected void okPressed() {
+		
+		// auto-naming if needed
 		if (name.getText().length() == 0) {
-			String generated = "subcorpus"; //$NON-NLS-1$
+			String autoName = "subcorpus"; //$NON-NLS-1$
 			
-			Log.info(TXMUIMessages.noSubcorpusNameWasSpecifiedWeveGeneratedOne);
+			// Advanced mode
 			if (isAdvancedSelected()) {
-				generated += "" + (this.corpus.getSubcorpora().size() + 1); //$NON-NLS-1$
+				autoName += "" + (this.corpus.getSubcorpora().size() + 1); //$NON-NLS-1$
 			}
+			// Assisted mode (structure@property=1st_value)
 			else if (assistedSelected) {
-				generated = this.complexPanel.getGeneratedName();
+				autoName = this.complexPanel.getGeneratedName();
 			}
-			else { // simple
-				generated = this.corpus.getName() + "_" + getStructuralUnitProperty().getFullName(); //$NON-NLS-1$
+			// Simple mode (structure@property=1st_value)
+			else {
+				autoName = getStructuralUnitProperty().asFullNameString() + "=" + getValues().get(0); //$NON-NLS-1$
 			}
-			// return;
-			name.setText(generated);
+			
+			Log.info(NLS.bind(TXMUIMessages.noSubcorpusNameWasSpecifiedWeveGeneratedOne, autoName));
+			
+			name.setText(autoName);
 		}
+		
 		// test if a query has been set
 		if ((isAdvancedSelected()) && queryText.getText().length() == 0) {
 			MessageDialog.openError(getShell(), TXMUIMessages.invalidQuery, TXMUIMessages.queryCannotBeLeftEmpty);
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 2701)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 2702)
@@ -639,16 +639,6 @@
 		}
 	}
 	
-	@Override
-	public String getName() {
-		try {
-			return IndexCoreMessages.RESULT_TYPE + ": " + this.getSimpleName();
-		}
-		catch (Exception e) {
-			return this.getEmptyName();
-		}
-	}
-	
 	/**
 	 * Gets the number of lines per page.
 	 * 
@@ -685,30 +675,38 @@
 		return pQuery;
 	}
 	
+	
 	@Override
 	public String getSimpleName() {
-		String name = ""; //$NON-NLS-1$
-		if (pQuery != null && !pQuery.isEmpty()) {
-			name += pQuery.getQueryString();
-			name += ": "; //$NON-NLS-1$
-			
-			for (Property s : pProperties) {
-				name += s.getName() + pPropertiesSeparator;
-			}
-			if (pProperties.size() > 0) {
-				name = name.substring(0, name.length() - 1);
-			}
-			return name;
+		String name = "";
+		if (this.pQuery != null && !this.pQuery.isEmpty() && this.pProperties != null && this.pProperties.size() > 0 && this.pProperties.get(0) != null) {
+			name += this.pQuery.asString();
+			name += WordProperty.asString(this.pProperties);
+			name += TXMCoreMessages.formatMinFilter(this.pFminFilter);
+			name += TXMCoreMessages.formatMaxFilter(this.pFmaxFilter);
+			name += TXMCoreMessages.formatVMaxFilter(this.pVmaxFilter);
 		}
 		else {
+			name = this.getEmptyName();
+		}
+		return name;
+	}
+	
+	
+	@Override
+	public String getName() {
+		try {
+			return this.getParent().getName() + TXMPreferences.PARENT_NAME_SEPARATOR + this.getSimpleName();
+		}
+		catch (NullPointerException e) {
 			return this.getEmptyName();
 		}
 	}
 	
+	
 	@Override
 	public String getComputingStartMessage() {
-		return TXMCoreMessages.bind(IndexCoreMessages.indexOfP0PropertiesP1InTheP2Corpus, this.pQuery, WordProperty.propertiesToString(this.pProperties).replaceAll(TXMPreferences.LIST_SEPARATOR,
-				", "), this.getCorpus().getName()); //$NON-NLS-1$
+		return TXMCoreMessages.bind(IndexCoreMessages.indexOfP0PropertiesP1InTheP2Corpus, this.pQuery.asString(), WordProperty.asString(this.pProperties), this.getCorpus().getName());
 	}
 	
 	
@@ -718,7 +716,7 @@
 			return TXMCoreMessages.common_noResults;
 		}
 		else {
-			return TXMCoreMessages.bind(TXMCoreMessages.common_P0ItemsForP1Occurrences, this.lines.size(), this.nTotalTokens);
+			return TXMCoreMessages.bind(TXMCoreMessages.common_P0ItemsForP1Occurrences, TXMCoreMessages.formatNumber(this.lines.size()), TXMCoreMessages.formatNumber(this.nTotalTokens));
 		}
 	}
 	
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java	(revision 2701)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java	(revision 2702)
@@ -136,28 +136,26 @@
 	
 	@Override
 	public String getComputingStartMessage() {
-		return TXMCoreMessages.bind(IndexCoreMessages.lexiconOfP0InTheP1Corpus, WordProperty.propertiesToString(this.pProperties), this.getCorpus().getName());
+		return TXMCoreMessages.bind(IndexCoreMessages.lexiconOfP0InTheP1Corpus, WordProperty.asString(this.pProperties), this.getCorpus().getName());
 	}
 	
 	
 	@Override
-	public String getName() {
-		try {
-			return this.getParent().getSimpleName() + ": " + this.getSimpleName();
-		}
-		catch (NullPointerException e) {
-			return this.getEmptyName();
-		}
-	}
-	
-	@Override
 	public String getSimpleName() {
-		if (pProperties != null && pProperties.size() > 0 && pProperties.get(0) != null) {
-			return pProperties.get(0).getName();
+		String name = "";
+		if (this.pProperties != null && this.pProperties.size() > 0 && this.pProperties.get(0) != null) {
+			name += WordProperty.asString(this.pProperties);
+			name += TXMCoreMessages.formatMinFilter(this.pFminFilter);
+			name += TXMCoreMessages.formatMaxFilter(this.pFmaxFilter);
+			name += TXMCoreMessages.formatVMaxFilter(this.pVmaxFilter);
 		}
 		else {
-			return getParent().getSimpleName();
+			name = this.getParent().getSimpleName();
 		}
+		return name;
 	}
 	
 }
+
+
+
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/PartitionIndex.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/PartitionIndex.java	(revision 2701)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/PartitionIndex.java	(revision 2702)
@@ -90,11 +90,6 @@
 		return (Partition) parent;
 	}
 	
-	@Override
-	public String getComputingStartMessage() {
-		return TXMCoreMessages.bind(IndexCoreMessages.indexOfP0PropertiesP1OnP2Partition, this.pQuery, WordProperty.propertiesToString(this.pProperties).replaceAll(TXMPreferences.LIST_SEPARATOR,
-				", "), this.getPartition().getSimpleName()); //$NON-NLS-1$
-	}
 	
 	@Override
 	protected boolean _compute(TXMProgressMonitor monitor) throws Exception {
@@ -191,7 +186,17 @@
 		return null;
 	}
 	
+	/**
+	 * Gets the part names.
+	 *
+	 * @return the part names
+	 */
+	public List<String> getPartNames() {
+		return this.getPartition().getPartNames();
+	}
 	
+	
+	
 	/**
 	 * Equals.
 	 *
@@ -232,6 +237,13 @@
 	}
 	
 	
+	
+	@Override
+	public String getComputingStartMessage() {
+		return TXMCoreMessages.bind(IndexCoreMessages.indexOfP0PropertiesP1OnP2Partition, this.pQuery.asString(), WordProperty.asString(this.pProperties), this.getPartition().getName());
+	}
+	
+	
 	/**
 	 * update the lines counts.
 	 */
@@ -253,18 +265,6 @@
 	}
 	
 	
-	
-	
-	@Override
-	public String getName() {
-		try {
-			return IndexCoreMessages.PARTITION_RESULT_TYPE + ": " + this.parent.getSimpleName() + ": " + this.getSimpleName();
-		}
-		catch (Exception e) {
-			return this.getEmptyName();
-		}
-	}
-	
 	/**
 	 * Gets the number of lines per page.
 	 * 
@@ -292,39 +292,8 @@
 	
 	
 	
-	/**
-	 * Gets the part names.
-	 *
-	 * @return the part names
-	 */
-	public List<String> getPartNames() {
-		return this.getPartition().getPartNames();
-	}
 	
 	
-	
-	@Override
-	public String getSimpleName() {
-		String name = ""; //$NON-NLS-1$
-		if (pQuery != null && !pQuery.isEmpty()) {
-			name += pQuery.getQueryString();
-			name += ": "; //$NON-NLS-1$
-			
-			for (Property s : pProperties) {
-				name += s.getName() + pPropertiesSeparator;
-			}
-			if (pProperties.size() > 0) {
-				name = name.substring(0, name.length() - 1);
-			}
-			return name;
-		}
-		else {
-			return this.getEmptyName();
-		}
-	}
-	
-	
-	
 	/**
 	 * Tell if the index has been computed with a partition or not.
 	 *
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ComputePartition.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ComputePartition.java	(revision 2701)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ComputePartition.java	(revision 2702)
@@ -81,7 +81,7 @@
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		
 		// FIXME: SJ: tests of MD for using a TXMEditor rather than a dialog box to manage partitions creation and edition
-		if (PartitionPreferences.getInstance().getBoolean(PartitionPreferences.EDITORMODE)) {
+		if (PartitionPreferences.getInstance().getBoolean(PartitionPreferences.EDITOR_MODE)) {
 			return execute_editor(event);
 		}
 		// original code that uses a dialog box
@@ -188,7 +188,7 @@
 								}
 							}
 							if (emptyParts.size() == partition.getPartsCount()) {
-								Log.warning(NLS.bind("Error: all parts {0} are all empty.", partition.getPartsCount()));
+								Log.warning(NLS.bind("Error: all parts are empty.", partition.getPartsCount()));
 								return Status.CANCEL_STATUS;
 							}
 							else if (emptyParts.size() != 0) {
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/preferences/PartitionPreferencePage.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/preferences/PartitionPreferencePage.java	(revision 2701)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/preferences/PartitionPreferencePage.java	(revision 2702)
@@ -71,7 +71,7 @@
 	@Override
 	public void createFieldEditors() {
 
-		editor_mode = new BooleanFieldEditor(PartitionPreferences.EDITORMODE, "Create partitions using the editor mode", BooleanFieldEditor.DEFAULT, getFieldEditorParent());
+		editor_mode = new BooleanFieldEditor(PartitionPreferences.EDITOR_MODE, "Create partitions using the editor mode", BooleanFieldEditor.DEFAULT, getFieldEditorParent());
 		addField(editor_mode);
 	}
 
Index: tmp/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java
===================================================================
--- tmp/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java	(revision 2701)
+++ tmp/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java	(revision 2702)
@@ -57,6 +57,7 @@
 import java.util.Map;
 
 import org.txm.core.messages.TXMCoreMessages;
+import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMParameters;
 import org.txm.core.results.TXMResult;
@@ -69,6 +70,7 @@
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.QueryResult;
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
+import org.txm.searchengine.cqp.corpus.WordProperty;
 import org.txm.searchengine.cqp.corpus.query.Match;
 import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
@@ -348,7 +350,7 @@
 	@Override
 	public String getName() {
 		try {
-			return getCorpus().getName() + ": " + this.getSimpleName(); //$NON-NLS-1$
+			return getCorpus().getName() + TXMPreferences.PARENT_NAME_SEPARATOR + this.getSimpleName();
 		}
 		catch (Exception e) {
 			return this.getEmptyName();
@@ -358,10 +360,10 @@
 	
 	@Override
 	public String getSimpleName() {
-		try {
-			return this.pQuery.toString();
+		if (this.pQuery != null && !this.pQuery.isEmpty()) {
+			return this.pQuery.asString() + ", " + StructuralUnitProperty.asFullNameString(this.pPattern);
 		}
-		catch (Exception e) {
+		else {
 			return this.getEmptyName();
 		}
 	}
@@ -369,7 +371,7 @@
 	
 	@Override
 	public String getComputingStartMessage() {
-		return TXMCoreMessages.bind(ReferencerCoreMessages.referencesOfP0InTheP1Corpus, this.pQuery, this.getCorpus().getName());
+		return TXMCoreMessages.bind(ReferencerCoreMessages.referencesOfP0InTheP1Corpus, this.pQuery.asString(), this.getCorpus().getName());
 	}
 	
 	
@@ -379,7 +381,7 @@
 			return TXMCoreMessages.common_noResults;
 		}
 		else {
-			return TXMCoreMessages.bind(TXMCoreMessages.common_P0ItemsForP1Occurrences, this.getNLines(), this.getV());
+			return TXMCoreMessages.bind(TXMCoreMessages.common_P0ItemsForP1Occurrences, TXMCoreMessages.formatNumber(this.getNLines()), TXMCoreMessages.formatNumber(this.getV()));
 		}
 	}
 	
@@ -577,9 +579,7 @@
 	
 	@Override
 	public boolean loadParameters() throws CqiClientException {
-		if (!this.getStringParameterValue(ReferencerPreferences.QUERY).isEmpty()) {
-			this.pQuery = new CQLQuery(this.getStringParameterValue(ReferencerPreferences.QUERY));
-		}
+		this.pQuery = new CQLQuery(this.getStringParameterValue(ReferencerPreferences.QUERY));
 		this.pPattern = StructuralUnitProperty.stringToProperties(this.getCorpus(), this.getStringParameterValue(ReferencerPreferences.PATTERN));
 		this.pProperty = this.getCorpus().getProperty(this.getStringParameterValue(ReferencerPreferences.UNIT_PROPERTY));
 		return true;
